<?xml version="1.0" encoding="UTF-8"?>
<!--
    Document   : example_schema.xsd
    Created on : December 10, 2003, 3:47 PM
    Author     : Ted
-->
<xsd:schema targetNamespace="http://www.fb10.uni-bremen.de/anglistik/langpro/kpml/README.html" xmlns:system_extension="http://www.fb10.uni-bremen.de/anglistik/langpro/kpml/customization.html" xmlns="http://www.fb10.uni-bremen.de/anglistik/langpro/kpml/README.html" xmlns:xsd="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
	<xsd:element name="examples">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="example" type="exampleType" maxOccurs="unbounded"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>
	<xsd:complexType name="exampleType">
		<xsd:sequence>
			<xsd:element name="name" type="xsd:string"/>
			<xsd:element name="generatedForm" type="xsd:string" minOccurs="0"/>
			<xsd:element name="targetForm" type="xsd:string"/>
			<xsd:element name="logicalForm" type="logicalFormType"/>
			<xsd:element name="selectionExpressions" type="listOfLists" minOccurs="0"/>
			<xsd:element name="preselections" type="listOfLists" minOccurs="0"/>
			<xsd:element name="setName" type="xsd:string" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="logicalFormType">
		<xsd:choice minOccurs="0" maxOccurs="unbounded">
			<xsd:element name="literal" type="xsd:string"/>
			<xsd:element name="spl" type="splType"/>
		</xsd:choice>
	</xsd:complexType>
	<xsd:complexType name="splType">
		<xsd:sequence>
			<xsd:element name="identifier" type="xsd:string"/>
			<xsd:element name="type" type="xsd:string" minOccurs="0"/>
			<xsd:element name="attributeValuePair" minOccurs="0" maxOccurs="unbounded">
				<xsd:complexType>
					<xsd:sequence>
						<xsd:element name="attribute" type="xsd:string"/>
						<xsd:element name="value" type="logicalFormType"/>
					</xsd:sequence>
				</xsd:complexType>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:complexType name="listOfLists">
		<xsd:sequence>
			<xsd:element name="list" minOccurs="0" maxOccurs="unbounded">
				<xsd:complexType>
					<xsd:sequence>
						<xsd:element name="elt" type="xsd:string" minOccurs="0" maxOccurs="unbounded"/>
					</xsd:sequence>
				</xsd:complexType>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>
</xsd:schema>
